sap.ui.controller("sap.sf.learning.instructor.view.AttendanceFeedback", {
	onInit : function() {
		this.getRouter().attachRouteMatched(this.onRouteMatched, this);
	},

	onRouteMatched : function(oEvent) {
		var sRoute = oEvent.getParameter("name");
		var oParams = oEvent.getParameter("arguments");
		if (sRoute !== "ATTENDANCE_FEEDBACK")
			return;
		var studentName = oParams.studentName;
		this.getView().byId('attendanceFeedbackPage').setText(studentName);	
	},
	
	getComponent: function () {
		return sap.ui.component(sap.ui.core.Component.getOwnerIdFor(this.getView()));
	},

	getComponent : function() {
		return sap.ui.component(sap.ui.core.Component.getOwnerIdFor(this.getView()));
	},

	getEventBus : function() {
		return this.getComponent().getEventBus();
	},

	getRouter : function() {
		return sap.ui.core.UIComponent.getRouterFor(this);
	}
});

