sap.ui.controller("sap.sf.learning.instructor.view.NoResults", {

	getNoResultsText : function(scheduleOfferingSelectedTab) {
		return this.getI18nModel().getLabel(scheduleOfferingSelectedTab === 'CURRENT' ? 'label.Instructor.NoScheduleOfferingsMessage.Current' : 'label.Instructor.NoScheduleOfferingsMessage.Past');
	},
	
	getNoResultsTitle : function(scheduleOfferingSelectedTab) {
		return this.getI18nModel().getLabel(scheduleOfferingSelectedTab === 'CURRENT' ? 'label.NoScheduledClasses' : 'label.NoPastClasses');
	},
	
	getComponent : function() {
		return sap.ui.component(sap.ui.core.Component.getOwnerIdFor(this.getView()));
	},
	
	getI18nModel : function(){
		return this.getComponent().getModel('i18nModel');
	}
	
});
